nvme_identify_ctrl(2)

NAME
nvme_identify_ctrl - Retrieves nvme identify controller

SYNOPSIS
int nvme_identify_ctrl (int fd , struct nvme_id_ctrl *id );

ARGUMENTS

fd  File descriptor of nvme device

id  User space destination address to transfer the data,

DESCRIPTION
Sends nvme identify with CNS value NVME_IDENTIFY_CNS_CTRL.

See struct nvme_id_ctrl for details on the data returned.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.